Cyberduck Mountain Duck CLI

#6094 closed defect (thirdparty)

Interoperability with Sharepoint not URI encoding whitespace in file or directory names

Reported by: Cobrp Owned by: dkocher
Priority: normal Milestone:
Component: webdav Version: 4.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

The last version of Cyberduck does not show directories or file names with embedded spaces when using webdavs. That is a pity! I'm looking for a way to downgrade Cyberduck.

Change History (11)

comment:1 Changed on Jul 26, 2011 at 8:29:53 AM by dkocher

  • Component changed from core to webdav
  • Owner set to dkocher
  • Summary changed from spaces in file or directory names to Spaces in file or directory names

Please post the transcript from the log drawer (⌘-L).

comment:2 in reply to: ↑ description Changed on Jul 26, 2011 at 8:30:16 AM by dkocher

Replying to Cobrp:

I'm looking for a way to downgrade Cyberduck.

Previous versions are available from http://cyberduck.ch/changelog.

comment:3 Changed on Jul 29, 2011 at 6:10:42 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

Please report this issue to the server vendor. Most possibly the URIs in the response are not properly encoded.

comment:4 Changed on Mar 8, 2012 at 9:34:47 AM by dkocher

#6577 closed as duplicate.

comment:5 Changed on Mar 8, 2012 at 10:28:25 AM by llange

Hello,

The response is :

<D:response><D:href>https://XXXXXXXXXXXXX.sharepoint.emea.microsoftonline.com/XXXXX/Documents comptables</D:href><D:propstat><D:prop><D:displayname>Documents comptables</D:displayname><D:lockdiscovery/><D:supportedlock/><D:isFolder>t</D:isFolder><D:iscollection>1</D:iscollection><D:ishidden>0</D:ishidden><D:getcontenttype>application/octet-stream</D:getcontenttype><D:getcontentlength>0</D:getcontentlength><D:resourcetype><D:collection/></D:resourcetype><Repl:authoritative-directory>t</Repl:authoritative-directory><D:getlastmodified>2012-03-07T20:57:03Z</D:getlastmodified><D:creationdate>2012-03-05T14:48:59Z</D:creationdate><Repl:repl-uid>rid:{93D90163-CECA-41E6-A705-EF69781A4EB9}</Repl:repl-uid><Repl:resourcetag>rt:93D90163-CECA-41E6-A705-EF69781A4EB9@00000000000</Repl:resourcetag><D:getetag>&quot;{93D90163-CECA-41E6-A705-EF69781A4EB9},0&quot;</D:getetag></D:prop>
<D:status>HTTP/1.1 200 OK</D:status>
</D:propstat>
</D:response>

I understand that you suggest spaces to be encoded as %20, as in http://www.ietf.org/rfc/rfc1738.txt , right ?

Would you accept a patch with a (possibly hidden) configuration option to implement a workaround for this very specific issue ? I'm not happy with the situation and the fact that some vendors do not respect the standards, but let's face it, it's far easier (and quicker) for me to patch this than 1) to have the vendor provide a fix for this issue on its product and all impact products (browsers, operating systems, third-party components) and 2) have this propagated to the shared folder than I want to access.

Regards,

Ludovic.

comment:6 Changed on May 9, 2012 at 11:06:12 AM by dkocher

#6673 closed as duplicate.

comment:7 Changed on Dec 12, 2013 at 6:21:23 PM by dkocher

#7674 closed as duplicate.

comment:8 Changed on Apr 12, 2015 at 7:12:19 PM by dkocher

  • Summary changed from Spaces in file or directory names to Interoperability with Sharepoint not URI encoding whitespace in file or directory names

comment:9 Changed on Apr 12, 2015 at 7:13:04 PM by dkocher

#2223 closed as duplicate.

comment:10 Changed on Apr 12, 2015 at 7:13:21 PM by dkocher

#8739 closed as duplicate.

comment:11 Changed on Jul 9, 2015 at 8:48:11 AM by dkocher

#8916 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software